// components/demo.ts
Component({
  /**
   * Component properties
   */
  properties: {
    content:{
      type:String,
      value:'111'
    },
    detail:{
      type:Object
    },
    func:{
      type:Function
    }
  },

  

  /**
   * Component initial data
   */
  data: {

  },

  /**
   * Component methods
   */
  methods: {
    hello(){
      console.log('hello')
      this.triggerEvent('apple',{name:'hello'})
      // debugger
      // this.data.func({name:'hello'})
    },
  }
})
